%{?nodejs_find_provides_and_requires}

%global packagename mixin-deep
%global enable_tests 1

Name:		nodejs-mixin-deep
Version:	1.3.1
Release:	1%{?dist}
Summary:	Deeply mix the properties of objects into the first object

License:	MIT
URL:		https://github.com/jonschlinkert/mixin-deep
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
Source1:	https://raw.githubusercontent.com/jonschlinkert/%{packagename}/%{version}/test.js


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(for-in)
BuildRequires:	npm(is-extendable)
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(should)
%endif

%description
Deeply mix the properties of objects into the first object. Like merge-deep,
but doesn't clone.


%prep
%autosetup -n package
# setup the tests
cp -p %{SOURCE1} .

%nodejs_fixdep for-in
%nodejs_fixdep is-extendable

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu May 10 2018 Jared K. Smith <jsmith@fedoraproject.org> - 1.3.1-1
- Update to upstream 1.3.1 release for CVE-2018-3719

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Apr 15 2017 Jared Smith <jsmith@fedoraproject.org> - 1.2.0-1
- Initial packaging
